%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate cargo_metadata

Name:           rust-cargo_metadata
Version:        0.18.1
Release:    1%{?dist}
Summary:        Structured access to the output of cargo metadata

License:        MIT
URL:            https://crates.io/crates/cargo_metadata
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Structured access to the output of `cargo metadata`.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+builder-devel %{_description}

This package contains library source intended for building other packages which
use the "builder" feature of the "%{crate}" crate.

%files       -n %{name}+builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive_builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive_builder-devel %{_description}

This package contains library source intended for building other packages which
use the "derive_builder" feature of the "%{crate}" crate.

%files       -n %{name}+derive_builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a -- -- --skip advanced_feature_configuration --skip all_the_fields --skip basic_workspace_root_package_exists --skip current_dir
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.18.1-1
- initial build
